<%= render 'layouts/header' %>

<div class="ui container segment">
  <h1 class="centered ui header">
    Organizations
  </h1>
  <table class="ui celled striped sortable table">
    <tr>
      <th align="center">Organization</th>
      <th align="center">Full Name</th>
      <th align="center">School</th>
      <th align="center">Address</th>
      <th align="center">Manager</th>
      <th align="center">Actions</th>
    </tr>
    <% @organizations.each do |organization| %>
      <tr>
        <td style="text-align:center;"><%= organization.id %></td>
        <td style="text-align:center;"><%= organization.full_name %></td>
        <td style="text-align:center;"><%= organization.school %></td>
        <td style="text-align:center;"><%= organization.address %></td>
        <td style="text-align:center;"><%= organization.manager_name || "You need to define a manager"%></td>
        <td style="text-align:center;">
          <%= link_to "Show", organization_path(organization), :class => "ui tiny primary button" %>
          <%= link_to "Edit", edit_organization_path(organization), :class => "ui tiny green button" %>
          <%= link_to "Delete", organization_path(organization),  method: :delete, :class => "ui tiny red button", data: { confirm: 'Delete organization? You probably dont want to do this.' } %>
        </td>
      </tr>
    <% end %>
  </table>
</div>

<%= render 'layouts/footer' %>
